package de.tudarmstadt.informatik.hostage.protocol.cifs;

import org.alfresco.config.ConfigElement;
import org.alfresco.jlan.server.SrvSession;
import org.alfresco.jlan.server.core.DeviceContext;
import org.alfresco.jlan.server.core.DeviceContextException;
import org.alfresco.jlan.server.filesys.DiskInterface;
import org.alfresco.jlan.server.filesys.FileInfo;
import org.alfresco.jlan.server.filesys.FileOpenParams;
import org.alfresco.jlan.server.filesys.NetworkFile;
import org.alfresco.jlan.server.filesys.SearchContext;
import org.alfresco.jlan.server.filesys.TreeConnection;

import java.io.FileNotFoundException;
import java.io.IOException;

import de.tudarmstadt.informatik.hostage.Handler;

public class PseudoCIFSDiskDriver implements DiskInterface {

    private final Handler mHandler;

    public PseudoCIFSDiskDriver(Handler mHandler){
        this.mHandler = mHandler;
    }

    @Override
    public void closeFile(SrvSession srvSession, TreeConnection treeConnection, NetworkFile networkFile) throws IOException {

    }

    @Override
    public void createDirectory(SrvSession srvSession, TreeConnection treeConnection, FileOpenParams fileOpenParams) throws IOException {

    }

    @Override
    public NetworkFile createFile(SrvSession srvSession, TreeConnection treeConnection, FileOpenParams fileOpenParams) throws IOException {
        return null;
    }

    @Override
    public void deleteDirectory(SrvSession srvSession, TreeConnection treeConnection, String s) throws IOException {

    }

    @Override
    public void deleteFile(SrvSession srvSession, TreeConnection treeConnection, String s) throws IOException {

    }

    @Override
    public int fileExists(SrvSession srvSession, TreeConnection treeConnection, String s) {
        return 0;
    }

    @Override
    public void flushFile(SrvSession srvSession, TreeConnection treeConnection, NetworkFile networkFile) throws IOException {

    }

    @Override
    public FileInfo getFileInformation(SrvSession srvSession, TreeConnection treeConnection, String s) throws IOException {
        return null;
    }

    @Override
    public boolean isReadOnly(SrvSession srvSession, DeviceContext deviceContext) throws IOException {
        return false;
    }

    @Override
    public NetworkFile openFile(SrvSession srvSession, TreeConnection treeConnection, FileOpenParams fileOpenParams) throws IOException {
        return null;
    }

    @Override
    public int readFile(SrvSession srvSession, TreeConnection treeConnection, NetworkFile networkFile, byte[] bytes, int i, int i2, long l) throws IOException {
        return 0;
    }

    @Override
    public void renameFile(SrvSession srvSession, TreeConnection treeConnection, String s, String s2) throws IOException {

    }

    @Override
    public long seekFile(SrvSession srvSession, TreeConnection treeConnection, NetworkFile networkFile, long l, int i) throws IOException {
        return 0;
    }

    @Override
    public void setFileInformation(SrvSession srvSession, TreeConnection treeConnection, String s, FileInfo fileInfo) throws IOException {

    }

    @Override
    public SearchContext startSearch(SrvSession srvSession, TreeConnection treeConnection, String s, int i) throws FileNotFoundException {
        return null;
    }

    @Override
    public void truncateFile(SrvSession srvSession, TreeConnection treeConnection, NetworkFile networkFile, long l) throws IOException {

    }

    @Override
    public int writeFile(SrvSession srvSession, TreeConnection treeConnection, NetworkFile networkFile, byte[] bytes, int i, int i2, long l) throws IOException {
        return 0;
    }

    @Override
    public DeviceContext createContext(String s, ConfigElement configElement) throws DeviceContextException {
        return null;
    }

    @Override
    public void treeOpened(SrvSession srvSession, TreeConnection treeConnection) {

    }

    @Override
    public void treeClosed(SrvSession srvSession, TreeConnection treeConnection) {

    }
}
